## Set default card for a contact

Set an existing card as the default card for a contact. The card must already be associated with the contact.

If the contact already has a default card set up, using this endpoint will:

- Replace the existing default card with the specified one

The endpoint returns `true` when the default card is successfully set.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/set-default-card HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  contact_id: string,
  card_id: string,
}
```

Returns: boolean

## Request arguments

### `contact_id` (string)

**Required**. The contact ID (either internal UID or external ID) to set the card for.

### `card_id` (string)

**Required**. The card ID (either internal UID starting with 'crd' or your external ID) to set as the default card. The card must already belong to the contact.

## Errors specific to this endpoint

### `NOT_FOUND`

The specified contact was not found, or the card does not exist for this contact.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
